Module javafx.base
Package javafx.beans.value

## Interface WritableMapValue<K,​V>

- Type Parameters:
    `K` - the type of the key elements of the `Map`
    `V` - the type of the value elements of the `Map`
  All Superinterfaces:
    `Map<K,​V>`, `Observable`, `ObservableMap<K,​V>`, `WritableObjectValue<ObservableMap<K,​V>>`, `WritableValue<ObservableMap<K,​V>>`
  All Known Implementing Classes:
    `MapProperty`, `MapPropertyBase`, `ReadOnlyMapWrapper`, `SimpleMapProperty`

      public interface WritableMapValue<K,​V>
      extends WritableObjectValue<ObservableMap<K,​V>>, ObservableMap<K,​V>

  A writable reference to an `ObservableMap`.
  Since:
    JavaFX 2.1
  See Also:
    `ObservableMap`, `WritableObjectValue`, `WritableMapValue`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Method Summary

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.collections.ObservableMap

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.WritableObjectValue

      `get, set`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue, setValue`